/*
 * Created on Feb 9, 2007
 *
 */

public class CalculadoraDeDesconto {

	public double aplicaDesconto(double valor) {
		double desconto = 0.0;
		if (valor >= 100.0 && valor < 200.0) {
			desconto = 0.10;
		}
		if (valor >= 200.0 && valor < 500.0) {
			desconto = 0.15;
		}
		if (valor >= 500.0) {
			desconto = 0.17;
		}
		return valor * (1.0 - desconto);
	}
}
